2018-01-20 18:35 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004254Kali Linux[All Projects] General Bugpublic2017-09-22 11:36
Reporterbroomdodger 
Assigned Torhertzog 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version2017.3 
Summary0004254: Kali Light login language default to aa_DJ.utf8 AFTER HD install
DescriptionKali Light login language default to aa_DJ.utf8 AFTER HD install

This is for Kali Light i386.
For Live version, root login language is set to en_US.utf8.

BUT after W35, INSTALLING to HD the login language is aa_DJ.utf8.
Afar - Djibouti

These are correct:
2017.1 Live en_US.utf8 Installed en_US.utf8
W34 Live en_US.utf8 Installed en_US.utf8
W35 Live en_US.utf8 Installed en_US.utf8

Somewhere after W35 something changed.
I can reset language to en_US.utf8
but on restart it reverts to aa_DJ.utf8

W36 Live en_US.utf8 Installed aa_DJ.utf8
W37 Live en_US.utf8 Installed aa_DJ.utf8
W38 Live en_US.utf8 Installed aa_DJ.utf8
daily 0918 Live en_US.utf8 Installed aa_DJ.utf8
daily 0919 Live en_US.utf8 Installed aa_DJ.utf8

The attached image shows the panel calendar.

AFTER I change aa_DJ.utf8 to en_US.utf8
THEN login as root, the calendar should say September not Waysu.
Steps To Reproduceinstall Kali Light W38 or daily 0919
allow computer to reboot
shutdown computer
start computer
at login check language (aa_DJ.utf8)
login
click panel calendar
Attached Files
  • png file icon log-lang.png (1,184,944 bytes) 2017-09-19 14:20
  • zip file icon w35-w36.zip (82,803 bytes) 2017-09-20 17:45
  • txt file icon kali-xfce-2017.1.txt (4,785 bytes) 2017-09-21 07:36 -
    vi:nowrap
    kali-xfce-2017.1.txt
    
    root@kali:~# cat /etc/default/locale
    #  File generated by update-locale
    LANG="en_US.UTF-8"
    
    root@kali:~# env
    LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=00:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arc=01;31:*.arj=01;31:*.taz=01;31:*.lha=01;31:*.lz4=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.tzo=01;31:*.t7z=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lrz=01;31:*.lz=01;31:*.lzo=01;31:*.xz=01;31:*.zst=01;31:*.tzst=01;31:*.bz2=01;31:*.bz=01;31:*.tbz=01;31:*.tbz2=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.alz=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.cab=01;31:*.jpg=01;35:*.jpeg=01;35:*.mjpg=01;35:*.mjpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.webm=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=00;36:*.au=00;36:*.flac=00;36:*.m4a=00;36:*.mid=00;36:*.midi=00;36:*.mka=00;36:*.mp3=00;36:*.mpc=00;36:*.ogg=00;36:*.ra=00;36:*.wav=00;36:*.oga=00;36:*.opus=00;36:*.spx=00;36:*.xspf=00;36:
    XDG_MENU_PREFIX=xfce-
    LANG=en_US.UTF-8
    DISPLAY=:0.0
    COLORTERM=truecolor
    XDG_VTNR=7
    SSH_AUTH_SOCK=/tmp/ssh-jsvvZr7SxhZR/agent.739
    GLADE_CATALOG_PATH=:
    XDG_SESSION_ID=2
    XDG_GREETER_DATA_DIR=/var/lib/lightdm/data/root
    USER=root
    GLADE_MODULE_PATH=:
    DESKTOP_SESSION=lightdm-xsession
    PWD=/root
    HOME=/root
    SSH_AGENT_PID=794
    QT_ACCESSIBILITY=1
    XDG_SESSION_TYPE=x11
    XDG_DATA_DIRS=/usr/share/xfce4:/usr/local/share/:/usr/share/:/usr/share
    XDG_SESSION_DESKTOP=lightdm-xsession
    GLADE_PIXMAP_PATH=:
    TERM=xterm-256color
    SHELL=/bin/bash
    VTE_VERSION=4601
    XDG_SEAT_PATH=/org/freedesktop/DisplayManager/Seat0
    XDG_CURRENT_DESKTOP=XFCE
    QT_LINUX_ACCESSIBILITY_ALWAYS_ON=1
    SHLVL=1
    XDG_SEAT=seat0
    WINDOWID=44040195
    GDMSESSION=lightdm-xsession
    LOGNAME=root
    DBUS_SESSION_BUS_ADDRESS=unix:path=/run/user/0/bus
    XDG_RUNTIME_DIR=/run/user/0
    XAUTHORITY=/root/.Xauthority
    XDG_SESSION_PATH=/org/freedesktop/DisplayManager/Session0
    XDG_CONFIG_DIRS=/etc/xdg
    PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
    SESSION_MANAGER=local/kali:@/tmp/.ICE-unix/804,unix/kali:/tmp/.ICE-unix/804
    _=/usr/bin/env
    
    root@kali:~# apt show -a kali-root-login
    Package: kali-root-login
    Version: 2017.2.1
    Priority: optional
    Section: misc
    Maintainer: Raphaël Hertzog <hertzog@debian.org>
    Installed-Size: 33.8 kB
    Breaks: gdm3 (<< 3.21.90-1)
    Download-Size: 6,440 B
    APT-Sources: http://http.kali.org/kali kali-rolling/main amd64 Packages
    Description: Bits of configuration to allow root logins
     Kali's purpose is very specific and it requires root rights in many
     cases. As such, root logins are allowed by default.
     .
     Installing this package modifies gdm3's default configuration to allow
     root logins.
    
    Package: kali-root-login
    Version: 2016.1.0
    Status: install ok installed
    Priority: optional
    Section: misc
    Maintainer: Raphaël Hertzog <hertzog@debian.org>
    Installed-Size: 30.7 kB
    Breaks: gdm3 (<< 3.13)
    Download-Size: unknown
    APT-Manual-Installed: no
    APT-Sources: /var/lib/dpkg/status
    Description: Bits of configuration to allow root logins
     Kali's purpose is very specific and it requires root rights in many
     cases. As such, root logins are allowed by default.
     .
     Installing this package modifies gdm3's default configuration to allow
     root logins.
    
    root@kali:~# apt show -a live-config
    Package: live-config
    Version: 5.20170914
    Priority: optional
    Section: misc
    Maintainer: Live Systems Maintainers <debian-live@lists.debian.org>
    Installed-Size: 129 kB
    Depends: live-config-systemd | live-config-backend
    Recommends: iproute2 | iproute, keyboard-configuration, live-config-doc, live-tools, locales | locales-all, sudo, user-setup
    Suggests: pciutils, wget
    Homepage: https://debian-live.alioth.debian.org/live-config/
    Download-Size: 33.2 kB
    APT-Sources: http://http.kali.org/kali kali-rolling/main amd64 Packages
    Description: Live System Configuration Components
     The Live Systems project maintains the components to build Debian based Live
     systems and the official Debian Live images themselves.
     .
     live-config contains the components to configure a live system during the boot
     process (late userspace).
     .
     In addition to live-config, a backend for an init system is required, such as
     live-config-systemd.
    
    
    
    txt file icon kali-xfce-2017.1.txt (4,785 bytes) 2017-09-21 07:36 +
  • txt file icon kali-xfce-w38.txt (4,211 bytes) 2017-09-21 07:36 -
    vi:nowrap
    kali-xfce-w38.txt
    
    root@kali:~# cat /etc/default/locale
    LANG=C.UTF-8
    
    root@kali:~# env
    LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=00:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arc=01;31:*.arj=01;31:*.taz=01;31:*.lha=01;31:*.lz4=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.tzo=01;31:*.t7z=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lrz=01;31:*.lz=01;31:*.lzo=01;31:*.xz=01;31:*.zst=01;31:*.tzst=01;31:*.bz2=01;31:*.bz=01;31:*.tbz=01;31:*.tbz2=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.alz=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.cab=01;31:*.jpg=01;35:*.jpeg=01;35:*.mjpg=01;35:*.mjpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.webm=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=00;36:*.au=00;36:*.flac=00;36:*.m4a=00;36:*.mid=00;36:*.midi=00;36:*.mka=00;36:*.mp3=00;36:*.mpc=00;36:*.ogg=00;36:*.ra=00;36:*.wav=00;36:*.oga=00;36:*.opus=00;36:*.spx=00;36:*.xspf=00;36:
    XDG_MENU_PREFIX=xfce-
    LANG=aa_DJ.utf8
    DISPLAY=:0.0
    COLORTERM=truecolor
    XDG_VTNR=7
    SSH_AUTH_SOCK=/tmp/ssh-9KqC7x5MG4vd/agent.624
    GLADE_CATALOG_PATH=:
    XDG_SESSION_ID=2
    XDG_GREETER_DATA_DIR=/var/lib/lightdm/data/root
    USER=root
    GLADE_MODULE_PATH=:
    DESKTOP_SESSION=lightdm-xsession
    PWD=/root
    HOME=/root
    SSH_AGENT_PID=656
    QT_ACCESSIBILITY=1
    XDG_SESSION_TYPE=x11
    XDG_DATA_DIRS=/usr/share/xfce4:/usr/local/share/:/usr/share/:/usr/share
    XDG_SESSION_DESKTOP=lightdm-xsession
    GLADE_PIXMAP_PATH=:
    TERM=xterm-256color
    SHELL=/bin/bash
    VTE_VERSION=4803
    XDG_SEAT_PATH=/org/freedesktop/DisplayManager/Seat0
    XDG_CURRENT_DESKTOP=XFCE
    QT_LINUX_ACCESSIBILITY_ALWAYS_ON=1
    SHLVL=1
    XDG_SEAT=seat0
    WINDOWID=41943043
    GDMSESSION=lightdm-xsession
    LOGNAME=root
    DBUS_SESSION_BUS_ADDRESS=unix:path=/run/user/0/bus
    XDG_RUNTIME_DIR=/run/user/0
    XAUTHORITY=/root/.Xauthority
    XDG_SESSION_PATH=/org/freedesktop/DisplayManager/Session0
    XDG_CONFIG_DIRS=/etc/xdg
    PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
    SESSION_MANAGER=local/kali:@/tmp/.ICE-unix/666,unix/kali:/tmp/.ICE-unix/666
    _=/usr/bin/env
    
    root@kali:~# apt show -a kali-root-login
    Package: kali-root-login
    Version: 2017.2.1
    Priority: optional
    Section: misc
    Maintainer: Raphaël Hertzog <hertzog@debian.org>
    Installed-Size: 33.8 kB
    Breaks: gdm3 (<< 3.21.90-1)
    Download-Size: 6440 B
    APT-Manual-Installed: no
    APT-Sources: http://http.kali.org/kali kali-rolling/main amd64 Packages
    Description: Bits of configuration to allow root logins
     Kali's purpose is very specific and it requires root rights in many
     cases. As such, root logins are allowed by default.
     .
     Installing this package modifies gdm3's default configuration to allow
     root logins.
    
    root@kali:~# apt show -a live-config
    Package: live-config
    Version: 5.20170914
    Priority: optional
    Section: misc
    Maintainer: Live Systems Maintainers <debian-live@lists.debian.org>
    Installed-Size: 129 kB
    Depends: live-config-systemd | live-config-backend
    Recommends: iproute2 | iproute, keyboard-configuration, live-config-doc, live-tools, locales | locales-all, sudo, user-setup
    Suggests: pciutils, wget
    Homepage: https://debian-live.alioth.debian.org/live-config/
    Download-Size: 33.2 kB
    APT-Sources: http://http.kali.org/kali kali-rolling/main amd64 Packages
    Description: Live System Configuration Components
     The Live Systems project maintains the components to build Debian based Live
     systems and the official Debian Live images themselves.
     .
     live-config contains the components to configure a live system during the boot
     process (late userspace).
     .
     In addition to live-config, a backend for an init system is required, such as
     live-config-systemd.
    
    
    txt file icon kali-xfce-w38.txt (4,211 bytes) 2017-09-21 07:36 +

-Relationships
+Relationships

-Notes

~0007372

rhertzog (administrator)

This looks weird. You select the language at installation time... it's the first screen at installation time. What value did you pick in that screen?

What's the content of /etc/default/locale after installation?

Can you show us the environment variables set in your graphical session?

Is this only reproducible with the light image?

If yes, it might be a regression/problem of lightdm.

Can you compare the versions of the following packages between the the last working version (W35) and the first broken one (W36)?

- kali-root-login
- live-config

~0007379

broomdodger (reporter)

> This looks weird. You select the language at installation time... it's the first screen at installation time. What value did you pick in that screen?

I always use these:

1 language: english
2 location: united states
3 keymap: american english
4 time zone: pacific

Important!
After new install let restart, then shutdown and startup again.

> Is this only reproducible with the light image?
> If yes, it might be a regression/problem of lightdm.

I have not yet tried other images as Kali light is preferred.
Is there an image you would like me to try? xfce or gnome?

For the following SEE attached files within w35-w36.zip: w35.txt w36.txt

> What's the content of /etc/default/locale after installation?
> Can you show us the environment variables set in your graphical session?

> Can you compare the versions of the following packages between the the last working version (W35) and the first broken one (W36)?
> - kali-root-login
> - live-config

~0007380

broomdodger (reporter)

If zip files are not acceptable, I will post the individual files.

~0007382

broomdodger (reporter)

I do not have an xfce-2017-W35 to test so used xfce-2017.1

kali-linux-xfce-2017.1-amd64.iso
default language: en_US.utf8

kali-linux-xfce-2017-W38-amd64.iso
default language: aa_DJ.utf8

see attached files for requested tests:
kali-xfce-2017.1.txt
kali-xfce-w38.txt

~0007383

rhertzog (administrator)

Thank you for the data. So this is a regression due to live-build now setting LANG=C.UTF-8 by default and lighdm is unable to cope with that setting:
https://bugs.launchpad.net/lightdm/+bug/1658950

I have uploaded to Debian live-installer 52 which shall fix this for new installations. On your installed system, please do "dpkg-reconfigure locales" to fix the default locale.

~0007399

rhertzog (administrator)

This should be fixed starting with tomorrow's daily images as I included live-installer 54 in kali-dev.
+Notes

-Issue History
Date Modified Username Field Change
2017-09-19 14:20 broomdodger New Issue
2017-09-19 14:20 broomdodger File Added: log-lang.png
2017-09-20 07:56 rhertzog Note Added: 0007372
2017-09-20 07:56 rhertzog Assigned To => rhertzog
2017-09-20 07:56 rhertzog Status new => feedback
2017-09-20 17:45 broomdodger File Added: w35-w36.zip
2017-09-20 17:45 broomdodger Note Added: 0007379
2017-09-20 17:45 broomdodger Status feedback => assigned
2017-09-20 18:16 broomdodger Note Added: 0007380
2017-09-21 07:36 broomdodger File Added: kali-xfce-2017.1.txt
2017-09-21 07:36 broomdodger Note Added: 0007382
2017-09-21 07:36 broomdodger File Added: kali-xfce-w38.txt
2017-09-21 10:13 rhertzog Note Added: 0007383
2017-09-22 11:36 rhertzog Status assigned => resolved
2017-09-22 11:36 rhertzog Resolution open => fixed
2017-09-22 11:36 rhertzog Fixed in Version => 2017.3
2017-09-22 11:36 rhertzog Note Added: 0007399
+Issue History